# Class XmlSerializer

java.lang.Object
nu.validator.htmlparser.sax.XmlSerializer

All Implemented Interfaces:
  `ContentHandler, LexicalHandler`

Direct Known Subclasses:
  `NameCheckingXmlSerializer`

public class XmlSerializer extends Object implements ContentHandler, LexicalHandler

## Constructor Summary

Constructors
Constructor
Description
`XmlSerializer(OutputStream out)`
`XmlSerializer(Writer out)`

## Method Summary

Modifier and Type
Method
Description
`final void`
`characters(char[] ch, int start, int length)`
`protected void`
`checkNCName(String name)`
`final void`
`comment(char[] ch, int start, int length)`
`final void`
`endCDATA()`
`final void`
`endDocument()`
`final void`
`endDTD()`
`final void`
`endElement(String uri, String localName, String qName)`
`final void`
`endEntity(String name)`
`final void`
`endPrefixMapping(String prefix)`
`final void`
`ignorableWhitespace(char[] ch, int start, int length)`
`final void`
`processingInstruction(String target, String data)`
`final void`
`setDocumentLocator(Locator locator)`
`final void`
`skippedEntity(String name)`
`final void`
`startCDATA()`
`final void`
`startDocument()`
`final void`
`startDTD(String name, String publicId, String systemId)`
`final void`
`startElement(String uri, String localName, String q, Attributes atts)`
`final void`
`startEntity(String name)`
`final void`
`startPrefixMapping(String prefix, String uri)`
`final void`
`startPrefixMappingPrivate(String prefix, String uri)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ContentHandler

`declaration`

## Constructor Details

### XmlSerializer

public XmlSerializer(OutputStream out)

### XmlSerializer

public XmlSerializer(Writer out)

## Method Details

### checkNCName

protected void checkNCName(String name) throws SAXException

Throws:
  `SAXException`

### characters

public final void characters(char[] ch, int start, int length) throws SAXException

Specified by:
  `characters` in interface `ContentHandler`
Throws:
  `SAXException`

### endDocument

public final void endDocument() throws SAXException

Specified by:
  `endDocument` in interface `ContentHandler`
Throws:
  `SAXException`

### endElement

public final void endElement(String uri, String localName, String qName) throws SAXException

Specified by:
  `endElement` in interface `ContentHandler`
Throws:
  `SAXException`

### ignorableWhitespace

public final void ignorableWhitespace(char[] ch, int start, int length) throws SAXException

Specified by:
  `ignorableWhitespace` in interface `ContentHandler`
Throws:
  `SAXException`

### processingInstruction

public final void processingInstruction(String target, String data) throws SAXException

Specified by:
  `processingInstruction` in interface `ContentHandler`
Throws:
  `SAXException`

### setDocumentLocator

public final void setDocumentLocator(Locator locator)

Specified by:
  `setDocumentLocator` in interface `ContentHandler`

### startDocument

public final void startDocument() throws SAXException

Specified by:
  `startDocument` in interface `ContentHandler`
Throws:
  `SAXException`

### startElement

public final void startElement(String uri, String localName, String q, Attributes atts) throws SAXException

Specified by:
  `startElement` in interface `ContentHandler`
Throws:
  `SAXException`

### comment

public final void comment(char[] ch, int start, int length) throws SAXException

Specified by:
  `comment` in interface `LexicalHandler`
Throws:
  `SAXException`

### endCDATA

public final void endCDATA() throws SAXException

Specified by:
  `endCDATA` in interface `LexicalHandler`
Throws:
  `SAXException`

### endDTD

public final void endDTD() throws SAXException

Specified by:
  `endDTD` in interface `LexicalHandler`
Throws:
  `SAXException`

### endEntity

public final void endEntity(String name) throws SAXException

Specified by:
  `endEntity` in interface `LexicalHandler`
Throws:
  `SAXException`

### startCDATA

public final void startCDATA() throws SAXException

Specified by:
  `startCDATA` in interface `LexicalHandler`
Throws:
  `SAXException`

### startDTD

public final void startDTD(String name, String publicId, String systemId) throws SAXException

Specified by:
  `startDTD` in interface `LexicalHandler`
Throws:
  `SAXException`

### startEntity

public final void startEntity(String name) throws SAXException

Specified by:
  `startEntity` in interface `LexicalHandler`
Throws:
  `SAXException`

### startPrefixMapping

public final void startPrefixMapping(String prefix, String uri) throws SAXException

Specified by:
  `startPrefixMapping` in interface `ContentHandler`
Throws:
  `SAXException`

### startPrefixMappingPrivate

public final void startPrefixMappingPrivate(String prefix, String uri) throws SAXException

Throws:
  `SAXException`

### endPrefixMapping

public final void endPrefixMapping(String prefix) throws SAXException

Specified by:
  `endPrefixMapping` in interface `ContentHandler`
Throws:
  `SAXException`

### skippedEntity

public final void skippedEntity(String name) throws SAXException

Specified by:
  `skippedEntity` in interface `ContentHandler`
Throws:
  `SAXException`